#ifndef IRPO_USB_DATA_H_
#define IRPO_USB_DATA_H_

#include <stdint.h>

#pragma pack(push, 1)

#define IRPO_USB_DATA_REQ_TO_DEVICE 0x00
#define IRPO_USB_DATA_REQ_TO_HOST   0x80

#define IRPO_USB_DATA_REQ_GET_TIME             (IRPO_USB_DATA_REQ_TO_HOST   | 0x01)
#define IRPO_USB_DATA_REQ_SET_TIME             (IRPO_USB_DATA_REQ_TO_DEVICE | 0x02)
#define IRPO_USB_DATA_REQ_GET_STUDY_DATA       (IRPO_USB_DATA_REQ_TO_HOST   | 0x03)
#define IRPO_USB_DATA_REQ_SET_IR_DATA          (IRPO_USB_DATA_REQ_TO_DEVICE | 0x04)
#define IRPO_USB_DATA_REQ_CLEAR_STUDY_DATA     (IRPO_USB_DATA_REQ_TO_DEVICE | 0x05)

typedef struct {
  uint8_t reqId;
  uint8_t seqId;
} IRPO_USB_DATA_HEADER;
#define IRPO_USB_DATA_MAX_DATA_SIZE  62

typedef struct {
  IRPO_USB_DATA_HEADER header;
  uint8_t data[IRPO_USB_DATA_MAX_DATA_SIZE];
} IRPO_USB_DATA_PACKET;

#define ROM_UPDATE_IDLE          0
#define ROM_UPDATE_RECVING       1
#define ROM_UPDATE_REQUESTING    2
#define ROM_UPDATE_RUNNING       3
#define ROM_UPDATE_INVALID_DATA  4
#define ROM_UPDATE_FAIL          5
typedef struct {
  uint8_t studyDataAvaliable;
  uint8_t angle;
  uint8_t tilt;
  uint8_t romUpdateStatus;
} IRPO_USB_STATUS;

#pragma pack(pop)
#endif

