#ifndef FXOS8700CQ_H_
#define FXOS8700CQ_H_
#include <stdint.h>
#include <stdbool.h>

#define FXOS8700CQ_ADDRESS (0x1D)

typedef struct {
  int16_t x;
  int16_t y;
  int16_t z;
} VECTOR_DATA;

typedef struct {
  float heading;
  float roll;
  float pitch;
} ANGLE_DATA;

#define SENSITIVITY_2G 4096
#define SENSITIVITY_4G 2048
#define SENSITIVITY_8G 1024
#define SENSITIVITY_MAG 10

bool FXOS8700CQReadAccel(VECTOR_DATA *accel);
bool FXOS8700CQReadMag(VECTOR_DATA *mag);
bool FXOS8700CQReadAccessAndMag(VECTOR_DATA *accel, VECTOR_DATA *mag);
bool FXOS8700CQReadAngle(ANGLE_DATA *angle);

bool FXOS8700CQEnableTapDetect(void);
bool FXOS8700CQIsTapDetected(void);

bool FXOS8700CQSetupSleepWakeup(void);

bool InitializeFXOS8700CQ(void);

#endif
