#ifndef B_MONO_BITMAP_H_
#define B_MONO_BITMPA_H_
#include <stdint.h>

typedef enum {
  MONO_BITMAP_WHITE = 0,
  MONO_BITMAP_BLACK
} MONO_BITMAP_COLOR;

#pragma pack(push, 1)
typedef struct {
  uint8_t bytePerChar;
  uint8_t width;
  uint8_t height;
  uint8_t bytePerX;
  char startChar;
  char endChar;
  uint8_t data[];  // [startChar, endChar)
} MONO_BITMAP_FONT;
#pragma pack(pop)

typedef struct {
  int width;
  int height;
  MONO_BITMAP_COLOR color;
  const MONO_BITMAP_FONT *font;
  uint8_t data[];
} MONO_BITMAP;

int  MonoBitmapGetDataSize(const MONO_BITMAP *bitmap);
void MonoBitmapSetSize(MONO_BITMAP *bitmap, int width, int height);
void MonoBitmapSetFont(MONO_BITMAP *bitmap, const MONO_BITMAP_FONT *font);
void MonoBitmapSetColor(MONO_BITMAP *bitmap, MONO_BITMAP_COLOR color);

void MonoBitmapClear(MONO_BITMAP *bitmap, MONO_BITMAP_COLOR color);
void MonoBitmapSetPixel(MONO_BITMAP *bitmap, int x, int y);
void MonoBitmapDrawLine(MONO_BITMAP *bitmap, int x0, int y0, int x1, int y1);
void MonoBitmapDrawRect(MONO_BITMAP *bitmap, int x0, int y0, int x1, int y1);
void MonoBitmapFillRect(MONO_BITMAP *bitmap, int x0, int y0, int x1, int y1);
void MonoBitmapDrawCircle(MONO_BITMAP *bitmap, int x0, int y0, int r);
void MonoBitmapFillCircle(MONO_BITMAP *bitmap, int x0, int y0, int r);
int  MonoBitmapPutChar(MONO_BITMAP *bitmap, int x, int y, char c);
void MonoBitmapPrintString(MONO_BITMAP *bitmap, int x, int y, const char* str);

#endif

