#ifndef USB_HID_COMM_H_
#define USB_HID_COMM_H_
#include <stdint.h>
#include <usbd/usbd_hiduser.h>

typedef void(*USB_HID_COMM_SEND_TO_HOST_HANDLER)(uint8_t *data, uint16_t *length);
typedef void(*USB_HID_COMM_RECV_FROM_HOST_HANDLER)(const uint8_t *data, uint16_t length);

typedef struct {
  uint32_t memBase;
  uint32_t memSize;
  const uint8_t *deviceDesc;
  const uint8_t *stringDesc;
  const uint8_t *configDesc;
  USB_HID_REPORT_T *reportData;
  USB_HID_COMM_SEND_TO_HOST_HANDLER sendToHostHandler;
  USB_HID_COMM_RECV_FROM_HOST_HANDLER recvFromHostHandler;
} USB_HID_COMM_PARAM;

void USBHidCommInitialize(const USB_HID_COMM_PARAM *param);

#endif
